View Issue Details

IDProjectCategoryView StatusLast Update
14260Feature requests[All Projects] Survey designpublic2019-07-15 17:12
ReporterMazi Assigned Tomarkusfluer  
PrioritynoneSeverityfeature 
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version4.0.0-RC2 
Summary14260: Mark hidden questions/groups at the admin interface e.g. by using a certain color
Description

Questions hidden by using the advanced question setting "Always hide this question" can cause some confusion because users may not notice why a question doesn't show. Especially when a team of people is designing large surveys, this causes trouble.
Same also applies to groups being hidden because all questions inside the group are hidden.

To solve this issue we are planning to at least mark the hidden questions properly (marking groups is more complex) by using grey color or opacity at the survey structure menu on the left.

TagsNo tags attached.

Activities

c_schmitz

c_schmitz

2018-11-16 09:05

administrator   ~49677

Last edited: 2018-11-16 10:42

View 3 revisions

Sounds great! Mabye instead of greying it out (which usually indicates that a question is disabled, which it isn't here) use a different color and/or a proper icon, like https://fontawesome.com/v4.7.0/icon/eye-slash

bismark

bismark

2018-11-30 10:27

reporter   ~49848

https://github.com/LimeSurvey/LimeSurvey/blob/master/assets/packages/adminpanel/src/components/subcomponents/_questionsgroups.vue#L325

This is a line we have to change.
But first we have to know, how to get the hidden-attribute of a question in vue.js?

Mazi

Mazi

2018-11-30 10:34

partner   ~49849

@markusfluer: Did you code the side menu? Can you provide a little help and let us know where to start to get the question attribute details for each question so we can check if it is set to be hidden and if this is the case, we need to pass that information into the side menu code so we can add a class like "question-hidden" to the element?

bismark

bismark

2018-12-01 14:49

reporter   ~49857

almost done, preparing a pull request

Mazi

Mazi

2018-12-12 10:17

partner   ~49946

@markusfluer, we will soon send a pull request as discussed at https://www.limesurvey.org/de/foren/development/117180-adminpanel-js-for-pull-request#177978. Could you please review later?

jelo

jelo

2018-12-13 12:47

partner   ~49954

Did I got that correct? Node, npm etc. are becoming part of the LimeSurvey distribution.
Will bring security issue handling to the next level.

For marking hidden questions?
BTW: About hiding questions:
https://bugs.limesurvey.org/view.php?id=11665

LouisGac

LouisGac

2018-12-20 11:41

manager   ~50028

again: remember that hidding via CSS or by removing the HTML makes a huge difference in the saved data. Hidden by CSS will be saved has NULL, hidden by removing the HTML will be saved as empty.
any change here will then completely change the habits of survey designer/data analyst.

Mazi

Mazi

2018-12-20 12:28

partner   ~50032

@LouisGac: We are not planning to change any details at survey runtime. We simply want to add a CSS class to hidden questions listed at the survey tree at the admin backend. The reason for this is that we can then easily mark those hidden questions e.g. by adding some opacity or using grey color.

bismark

bismark

2018-12-20 17:58

reporter   ~50057

the change affects the question explorer in backend, which is a vue.js application
therefore adminpanel.js needs to be compiled via gulp

bismark

bismark

2018-12-26 20:45

reporter   ~50074

https://github.com/LimeSurvey/LimeSurvey/pull/1198

DenisChenu

DenisChenu

2019-05-22 12:21

developer   ~52037

Hidden question in admin view MUST be seen : please don't use opacity or grey on grey …

And it's always better to have a clean text like we have for error.

Why not adding a clean text in a clean label.

Sample



DenisChenu

DenisChenu

2019-05-22 12:28

developer   ~52038

Usage of bg-warning on header (must use bg-danger for EM error)
and label-default for the text



Mazi

Mazi

2019-05-22 12:31

partner   ~52039

@DenisChenu, just for clarification: We are not planning any special design adjustments yet. The goal is to simply add the class and user could then adjust the design details at their own admin theme.

BTW, is the hint about hidden questions at the logic file already available at LS 4 or is this just an example?

DenisChenu

DenisChenu

2019-05-22 12:45

developer   ~52041

Yes: it's an hacked example.

Else : i really think we must

  1. Add EM error if we add hidden
  2. Never use only css class but text (or data-XXX)
  3. Use bootsrap class system
DenisChenu

DenisChenu

2019-05-22 14:30

developer   ~52047

I can make a sample screenshot when i see where younwant to add this : in left menu ? In question overview ? In question list ?

Mazi

Mazi

2019-05-22 14:33

partner   ~52049

Left menu (survey structure tree) it is.

DenisChenu

DenisChenu

2019-05-22 15:13

developer   ~52050

My opinion : why adding this single information i think iof we add something we have to add

  1. Error
  2. Have condition
  3. Hidden

See screenshot for a sample.

Adding screenshot with only label + screenshoit with some css : bg-danger + bg-warning on draggable with display:table-cell



Mazi

Mazi

2019-05-22 15:26

partner   ~52051

Well, for the given use-case we only wanted to mark hidden questions. I am open to discussing how to do that at the next dev meeting. I think we should keep the new class but can extend that. Why not adding small icons for "set to hidden" or "has EM errors" or "uses conditions"? Otherwise, it could be too much text.

Also, feel free to extend the feature to also include details about EM errors and conditions. For the later, would it be possible to not only show a note if the question itself uses conditions but also if follow up questions are conditionally connected to a given question? I assume it is only doable for conditions created by the condition editor but won't work for relevance equations?

Issue History

Date Modified Username Field Change
2018-11-16 08:49 Mazi New Issue
2018-11-16 09:05 c_schmitz Note Added: 49677
2018-11-16 10:42 c_schmitz Note Edited: 49677 View Revisions
2018-11-16 10:42 c_schmitz Note Edited: 49677 View Revisions
2018-11-30 10:27 bismark Note Added: 49848
2018-11-30 10:34 Mazi Note Added: 49849
2018-12-01 14:49 bismark Note Added: 49857
2018-12-12 10:17 Mazi Note Added: 49946
2018-12-13 12:47 jelo Note Added: 49954
2018-12-20 11:41 LouisGac Note Added: 50028
2018-12-20 12:28 Mazi Note Added: 50032
2018-12-20 17:58 bismark Note Added: 50057
2018-12-26 20:45 bismark Note Added: 50074
2019-05-22 12:21 DenisChenu File Added: Capture d’écran du 2019-05-22 12-20-42.png
2019-05-22 12:21 DenisChenu Note Added: 52037
2019-05-22 12:28 DenisChenu File Added: Capture d’écran du 2019-05-22 12-27-46.png
2019-05-22 12:28 DenisChenu Note Added: 52038
2019-05-22 12:31 Mazi Note Added: 52039
2019-05-22 12:45 DenisChenu Note Added: 52041
2019-05-22 14:30 DenisChenu Note Added: 52047
2019-05-22 14:33 Mazi Note Added: 52049
2019-05-22 15:13 DenisChenu File Added: Capture d’écran du 2019-05-22 15-05-12.png
2019-05-22 15:13 DenisChenu File Added: Capture d’écran du 2019-05-22 15-12-54.png
2019-05-22 15:13 DenisChenu Note Added: 52050
2019-05-22 15:26 Mazi Note Added: 52051
2019-07-15 17:12 markusfluer Assigned To => markusfluer
2019-07-15 17:12 markusfluer Status new => resolved
2019-07-15 17:12 markusfluer Resolution open => fixed
2019-07-15 17:12 markusfluer Fixed in Version => 4.0.0-RC2